
package org.ow2.petals.transport.platform;

import org.ow2.petals.transport.TransportException;

public class MultiTransportException extends TransportException {

    private static final long serialVersionUID = -5731145126352181354L;

    private int exceptionCount;

    public MultiTransportException(String message) {
        super(message);
        exceptionCount++;
    }

    public void addCount() {
        exceptionCount++;
    }

    public int getExceptionCount() {
        return exceptionCount;
    }
}
