/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2008 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.jbi.messaging.routing.module;

/**
 * 
 * 
 * @author Christophe HAMERLING - eBM WebSourcing
 * @since 2.2
 * 
 */
public class RouterModuleException extends Exception {

    /**
     * 
     */
    private static final long serialVersionUID = -8953173912811203391L;

    /**
     * Creates a new instance of RouterModuleException
     */
    public RouterModuleException() {
        super();
    }

    /**
     * Creates a new instance of RouterModuleException
     * 
     * @param message
     * @param cause
     */
    public RouterModuleException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Creates a new instance of RouterModuleException
     * 
     * @param message
     */
    public RouterModuleException(String message) {
        super(message);
    }

    /**
     * Creates a new instance of RouterModuleException
     * 
     * @param cause
     */
    public RouterModuleException(Throwable cause) {
        super(cause);
    }

}
